<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sendProductLine StructType
 * Meta information extracted from the WSDL
 * - type: tns:sendProductLine
 * @subpackage Structs
 */
class SendProductLine extends AbstractStructBase
{
    /**
     * The login
     * @var int
     */
    public $login;
    /**
     * The password
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $password;
    /**
     * The size
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ProductLine
     */
    public $size;
    /**
     * Constructor method for sendProductLine
     * @uses SendProductLine::setLogin()
     * @uses SendProductLine::setPassword()
     * @uses SendProductLine::setSize()
     * @param int $login
     * @param string $password
     * @param \StructType\ProductLine $size
     */
    public function __construct($login = null, $password = null, \StructType\ProductLine $size = null)
    {
        $this
            ->setLogin($login)
            ->setPassword($password)
            ->setSize($size);
    }
    /**
     * Get login value
     * @return int|null
     */
    public function getLogin()
    {
        return $this->login;
    }
    /**
     * Set login value
     * @param int $login
     * @return \StructType\SendProductLine
     */
    public function setLogin($login = null)
    {
        // validation for constraint: int
        if (!is_null($login) && !(is_int($login) || ctype_digit($login))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($login, true), gettype($login)), __LINE__);
        }
        $this->login = $login;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\SendProductLine
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($password, true), gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get size value
     * @return \StructType\ProductLine|null
     */
    public function getSize()
    {
        return $this->size;
    }
    /**
     * Set size value
     * @param \StructType\ProductLine $size
     * @return \StructType\SendProductLine
     */
    public function setSize(\StructType\ProductLine $size = null)
    {
        $this->size = $size;
        return $this;
    }
}
